http://www.rgghost.com

                                                                  【大发红黑大战app】composer怎么运行-composer

                                                                  composer怎么运行?

                                                                  1.简介

                                                                  Composer 是 PHP 的一个依赖管理工具。它允许你申明项目所依赖的代码,库,它会在你的项目中为你安装他们。

                                                                  2.系统要求

                                                                  运行 Composer 需要 PHP 5.3.2+ 以上版本。

                                                                  Composer 是多平台的,它可以同时在 Windows 、 Linux 以及 OSX 平台上运行。

                                                                  3.安装(ubuntu)

                                                                  curl -sS https://getcomposer.org/installer | php mv composer.pharmv composer.phar /usr/local/bin/composer

                                                                  注:如果没有安装curl,可以通过以下命令安装

                                                                  apt-get updateapt-get install curl

                                                                  当你的 Composer 安装完毕之后,你可以实用下列命令查看是否安装成功

                                                                  composer -v

                                                                  注 如果上述方法由于某些原因失败了,你还可以通过 php 下载安装器:

                                                                  php -r "readfile('https://getcomposer.org/installer');" | php

                                                                  这将检查一些 PHP 的设置,然后下载 composer.phar 到你的工作目录中。这是 Composer 的二进制文件。这是一个 PHAR 包(PHP 的归档),这是 PHP 的归档格式可以帮助用户在命令行中执行一些操作。

                                                                  你可以通过 --install-dir 选项指定 Composer 的安装目录(它可以是一个绝对或相对路径)

                                                                  4.使用

                                                                  要开始在你的项目中使用 Composer,你只需要一个 composer.json 文件。该文件包含了项目的依赖和其它的一些元数据。

                                                                  首先创建一个 composer.json 文件,写入相应的包名和版本号,如

                                                                  {        "require": {        "monolog/monolog": "1.13.*"    }}

                                                                  这是后就写入了一个依赖包,之后安装依赖包。获取定义的依赖到你的本地项目,之后在你的项目目录中(即 composer.json 所在目录)使用 Composer 运行 install 命令。

                                                                  composer install

                                                                  当然,如果是在 Windows 系统中,也可以通过调用 composer.phar 包来进行依赖包的安装。

                                                                  php composer.phar install

                                                                  执行 composer install,就进入自动安装,安装完成后会生成一个 composer.lock 文件,里面是特定的版本号名,需要这个文件和] composer.json 一起提交到版本管理里去。

                                                                  最后,在需要更新依赖包的时候,可以使用以下命令

                                                                  composer update

                                                                  如果只想更新部分依赖

                                                                  composer update monolog/monolog

                                                                  5.自动加载

                                                                  对于库的自动加载信息,Composer 生成了一个 vendor/autoload.php 文件。你可以在你项目的入口文件中引入它

                                                                  <?phprequire __DIR__ . '/vendor/autoload.php';?>
                                                                                  

                                                                  郑重声明:本文版权归原作者所有,转载文章仅为传播更多信息之目的,如作者信息标记有误,请第一时间联系我们修改或删除,多谢。

                                                                  上一篇:三星Galaxy Note10+真机背面图曝光 - 三星
                                                                  下一篇:没有了